• Current Version
  • The current version of Sofortbild is available exclusively on the Mac App Store, making sure you get the best installation and update experience on the Mac.

    System Requirements

    • Mac OS X Snow Leopard 10.6.6 or later, OS X Yosemite (10.10.x) recommended. Future versions will likely require Mac OS X Yosemite.
    • Supported Nikon DSLR.
  • Legacy Version
  • In case you are stuck to an older version of Mac OS X, feel free to download version 1.2.11 of Sofortbild. It should still work on Mac OS X Leopard (10.5.x).

  • Please note that there is no support whatsoever for this version and there will never be another update for it. Consider yourself lucky if it happens to work for you, don’t complain otherwise.